# Useful resources

## Pytorch documentation
See [here](https://pytorch.org/docs/stable/index.html)

## `functorch` documentation

See [here](https://pytorch.org/functorch/stable/)

## Useful RL repos, blogs and websites

### Educational resource

- [Spinning Up in Deep RL](https://spinningup.openai.com/en/latest/)
- [Hugging face syllabus](https://github.com/huggingface/deep-rl-class)
- [RL lectures from Deepmind](https://www.deepmind.com/learning-resources/reinforcement-learning-lecture-series-2021)
- [Best benchmarks](https://neptune.ai/blog/best-benchmarks-for-reinforcement-learning)
- [Awesome RL: Reinforcement learning resources curated](https://github.com/aikorea/awesome-rl)

### Forums

- [PyTorch RL discussions](https://discuss.pytorch.org/c/reinforcement-learning/)
- [Reddit RL](https://www.reddit.com/r/reinforcementlearning/)

### Repos

For completeness, we provide a list of RL libraries. Some are not actively maintained but
they still provide good examples of RL solutions with and without PyTorch:
- [ReAgent: RL in production oriented settings](https://github.com/facebookresearch/reagent)
- [Stable-baselines3](https://stable-baselines3.readthedocs.io/en/master/)
- [TF-Agent: Bandits and RL algorithms in tensorflow](https://github.com/tensorflow/agents)
- [keras-rl: Deep Reinforcement Learning for Keras](https://github.com/keras-rl/keras-rl)
- [Acme: a research framework for reinforcement learning](https://github.com/deepmind/acme)
- [dopamine: research framework for fast prototyping of reinforcement learning algorithms](https://github.com/google/dopamine)
- [salina: A Flexible and Simple Library for Learning Sequential Agents (including Reinforcement Learning)](https://github.com/facebookresearch/salina)
- [tianshou: An elegant PyTorch deep reinforcement learning library.](https://github.com/thu-ml/tianshou)
- [rlpyt: Reinforcement Learning in PyTorch](https://github.com/astooke/rlpyt)
- [RLlib: Industry-Grade Reinforcement Learning with TF and Torch](https://github.com/ray-project/ray/tree/master/rllib)
- [sample-factory: High throughput asynchronous reinforcement learning](https://github.com/alex-petrenko/sample-factory)
- [cherry: A PyTorch Library for Reinforcement Learning Research](https://github.com/learnables/cherry)
- [JaxRL: implementation of algorithms for Deep Reinforcement Learning with continuous action spaces](https://github.com/ikostrikov/jaxrl)
- [MBRL-lib: Library for Model Based RL in pytorch](https://github.com/facebookresearch/mbrl-lib)
- [RLMeta: light-weight flexible framework for Distributed Reinforcement Learning Research.](https://github.com/facebookresearch/rlmeta)
- [ElegantRL: Cloud-native Deep Reinforcement Learning](https://github.com/AI4Finance-Foundation/ElegantRL)
- [MTRL: Multi Task RL Baselines](https://github.com/facebookresearch/mtrl)
